Jump to content

armbian bug on the PPA


dragonlost
 Share

Recommended Posts

I wanted to update my tinkerboard and my nanopi m4.

I tested the following versions:


- Armbian_5.98_Nanopim4_Ubuntu_bionic_default_4.4.192_desktop
- Armbian_5.95_Tinkerboard_Ubuntu_bionic_default_4.4.190_desktop
- Armbian_5.95_Tinkerboard_Ubuntu_bionic_default_4.4.190

 

with most of the ppa that I add I have the same error:


404 Not found [IP: 2001:67c:1560:8008::15 80]
E: The repository 'http://ppa.launchpad.net/mutlaqja/libgphoto2/ubuntu focal release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default
N: See apt-secure(8) manpage for repository creation and user configuration details.

 

bug for PPA :

http://ppa.launchpad.net/mutlaqja/libgphoto2

http://ppa.launchpad.net/nilarimogard/webupd8

http://ppa.launchpad.net/pch/phd2

 

not this bug for this PPA :

http://ppa.launchpad.net/mutlaqja/ppa

 

I do not understand, because all these PPA worked very well before and still works very well on a raspberry and a computer amd64 actually

Link to comment
Share on other sites

Armbian is a community driven open source project. Do you like to contribute your code?

 

I tested the version: Armbian_5.90_Nanopim4_Ubuntu_bionic_default_4.4.179_desktop
If I do "sudo apt update" then "sudo apt upgrade" I pass in 4.4.192 and I have the same error.

By cons, if I freeze the kernel, and I made an update / upgrade, I can add without problem all the PPA.

 

I tried on the basic version in 4.4.192 to pass in 4.4.179 but I still have the bug with some PPA.

Link to comment
Share on other sites

I tested the version: Armbian_5.90_Nanopim4_Ubuntu_bionic_default_4.4.179_desktop
If I switch to 5.3.0-rc4 5.99.191102 no have error for PPA.

 

I just have to test version 4.4.190

 

all this test is just for nanopim4 because she most faster board

Link to comment
Share on other sites

Hello.

after a lot of tests:
For nanopi-m4:
the latest PPA bug-free version is: 4.4.190
For the tinkerboard:
The latest PPA bug-free version of is: 4.4.182

I do not understand where this bug comes from but I test 2 ppa totally different:

ppa:pch/phd2
ppa:mutlaqja/libgphoto2

Link to comment
Share on other sites

Hello @Igor


I have finally understood the problem. From version 4.4.192 on nanopi and 4.4.190 on tinkerboard. When adding a PPA this one is automatically added with the sources for "focal" (20.04LTS) instead of "bionic" (18.04LTS).

PPA which does not work, is not compatible with "focal", that is why.

Link to comment
Share on other sites

8 minutes ago, dragonlost said:

3rd party script ?

 

Anything that is not coded by us is 3rd party - all packages & scripts that come unchanged from Debian/Ubuntu repositories. This is simply not possible to cover bug fixing after 1000+ peoples code.

Link to comment
Share on other sites

I am trying to install WireGuard on Armbian_19.11.3.346_Tinkerboard_bionic_legacy_4.4.199_desktop

according to the setup instructions site https://www.wireguard.com/install/

the following commands gave this output:

 

1

aws@tinkerboard:~/Desktop$ sudo add-apt-repository ppa:wireguard/wireguard
 WireGuard is a novel VPN that runs inside the Linux Kernel. This is the Ubuntu packaging for WireGuard. More info may be found at its website, listed below.

More info: https://www.wireguard.com/
Packages: wireguard wireguard-tools wireguard-dkms

Install with: $ apt install wireguard

For help, please contact <email address hidden>
 More info: https://launchpad.net/~wireguard/+archive/ubuntu/wireguard
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Ign:1 http://ppa.launchpad.net/wireguard/wireguard/ubuntu focal InRelease                                             
Hit:2 http://ports.ubuntu.com bionic InRelease                                                                        
Hit:4 http://ports.ubuntu.com bionic-security InRelease                                                               
Err:5 http://ppa.launchpad.net/wireguard/wireguard/ubuntu focal Release                            
  404  Not Found [IP: 91.189.95.83 80]
Hit:6 http://ports.ubuntu.com bionic-updates InRelease                  
Hit:7 http://ports.ubuntu.com bionic-backports InRelease                                           
Hit:3 https://apt.armbian.com bionic InRelease                                                     
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/wireguard/wireguard/ubuntu focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 

2 aws@tinkerboard:~/Desktop$ sudo apt-get install wireguard
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package wireguard
 

 

I tried to read and follow the posts on this thread https://forum.armbian.com/topic/4861-wireguard-on-armbian-tinkerboard/

however I could not get it installed.

would you please help ?

Link to comment
Share on other sites

2 hours ago, AwsTaha said:

would you please help ?


If you are unable to fix things with information in this post, start with a clean image - it has been fixed. WG works out of the box with latest module and tools.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...